import { createCommonContext } from "@/contexts/common/infrastructure";
import { NextFunction, Request, Response } from "express";

export const commonContextMiddleware = (req: Request, res: Response, next: NextFunction) => {
  // Almacenar el contexto en res.locals
  res.locals.context = createCommonContext();
  next();
};
